@echo off
set imgSize=492
set FirmwareVersion=2.3.0.1076
set idfolder=9230
set RAWImagefile=ImageA1
REM al_tran_win32.exe -if AL_CFG.TXT -ob autoload.bin
imgCreate.exe
imgCreate.exe -RAW image -s %imgSize%
copy image_RAW.bin firmware.bin
ImageHeaderGenerator.exe -t firmware -s %imgSize% -v %FirmwareVersion% -i %idfolder%
copy firmware.bin %RAWImagefile%.bin /y
copy %RAWImagefile%.bin ..\
del firmware.bin /s/q
del image_RAW.bin /s/q
rem del ImageHeaderGenerator.exe /s/q
rem del %RAWImagefile%.bin /s/q
copy %RAWImagefile%.bin ..\ /y
